Page MenuHomePhabricator

How to notify a list of users based on a search query
Closed, DeclinedPublic

Description

In Bugzilla, a positive side effect of having email addresses public is that someone organizing a Bug Day can make queries and obtain a list of related users (and therefore email addresses) to send them a manual notification.

I haven't got a chance to check whether Phabricator has any tool to send announcements to users.

Details

Reference
fl242

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:32 AM
flimport set Reference to fl242.

mattflaschen wrote on 2014-04-29 03:47:42 (UTC)

According to http://phabricator.org/applications/conpherence/ , Phabricator supports both one-on-one and group communication with Conpherence . It seems that is not currently enabled here, but it is at https://secure.phabricator.com/conpherence/ .

qgil wrote on 2014-04-30 04:06:00 (UTC)

Conpherence is now enabled for testing. It allows communication 1:1 and many to many, but I'm not sure about its capabilities for mailing and announcements. I haven't found the way to send a message to a team, only to individuals.

demon wrote on 2014-04-30 04:11:42 (UTC)

We disabled it on purpose as it seemed to serve a weird duplicate purpose mailing lists and IRC. We should be encouraging more public discussion not less and I feel Conpherence will encourage less.

qgil wrote on 2014-04-30 05:13:22 (UTC)

Yes, I agree. If it turns to be useful to broadcast messages, I would only have it for a group of privileged users for exceptional use. Otherwise we should not have it at all.

I have asked a question upstream. I will disable it again in the meantime. If anybody is curious about how it works, you can try it at secure.phabricator.com.

aklapper wrote on 2014-06-03 14:58:12 (UTC)

(Broader) upstream ticket, also refering to side-wite announcements like temporary shutdown: https://secure.phabricator.com/T5231

Nemo_bis wrote on 2014-06-15 09:23:38 (UTC)

(Broader) upstream ticket, also refering to side-wite announcements like temporary shutdown: https://secure.phabricator.com/T5231

Sounds sensible. Is there another ticket about private person-to-person occasional messages? Sometimes it's encouraged, see e.g. «If you see someone not following these guidelines or not being productive: The first step is to contact them. This can be done through private email in minor cases,» https://www.mediawiki.org/wiki/Bug_management/Bugzilla_etiquette

avive wrote on 2014-06-15 21:22:01 (UTC)

person-to-person occasional messages?

"There's an app for that."

Conpherence is phab's messaging application; It lets you message a user(s). It's disabled on this instance. You can check it out at https://secure.phabricator.com/conpherence/ .

Nemo_bis wrote on 2014-06-16 05:43:02 (UTC)

Conpherence is phab's messaging application; It lets you message a user(s). It's disabled on this instance. You can check it out at https://secure.phabricator.com/conpherence/ .

I know about it and it was decided that it's not for us. Personal messages are expected to be a fallback. Just like in bugzilla I can use the bugzilla user's ID on another client (email), something like that might come from a guarantee that I have a wiki User_talk link for every phabricator user.

qgil wrote on 2014-06-16 18:57:57 (UTC)

Since all accounts are supposed to be connected to a Wikimedia SUL account, in theory every Phabricator user has a User_talk page (or hundreds) somewhere. However, as it looks today, users may decide to have a different ID here, and there is no requirement to add such information in user pages.

If this feature is considered very important, then perhaps a way to solve this would be to require a "Wikimedia User Talk Page" field when connecting the Wikimedia SUL account.

mattflaschen wrote on 2014-06-16 23:57:31 (UTC)

In T242#23, @Qgil wrote:

If this feature is considered very important, then perhaps a way to solve this would be to require a "Wikimedia User Talk Page" field when connecting the Wikimedia SUL account.

Or add some kind of hook to show which Wikimedia account it's connected to on the Phabricator user page (this would need to be made clear up front).

aklapper wrote on 2014-06-17 10:55:33 (UTC)

In T242#24, @mattflaschen wrote:

Or add some kind of hook to show which Wikimedia account it's connected to on the Phabricator user page (this would need to be made clear up front).

Want to file a separate enhancement request against the "Wikimedia Phabricator Maintenance (after Day 1)" project? :)

mattflaschen wrote on 2014-06-17 20:28:08 (UTC)

@Aklapper, filed as T422: [Quarterly Goal] Jenkins Performance improvements. I actually put it as blocking Day 1, since if we do it the transparency/privacy decision should be resolved (and made clear) up front even if the feature itself is not available Day 1.

Qgil added a subscriber: Qgil.Sep 24 2014, 2:34 PM
Qgil lowered the priority of this task from Normal to Lowest.Oct 22 2014, 9:01 PM
Qgil set Security to None.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM

So has anyone really missed such functionality in the last 22 months of Phabricator? :)

Proposing to decline this task as we now have Conpherence in place.

mmodell closed this task as Declined.Sep 24 2016, 5:22 AM
mmodell added a subscriber: mmodell.

:)